-- LevelRecorder by Astromech
-- Contact on WoWInterface

-- You can set a minimum level to begin taking screenshots here.
local minlevel = 1

-- You can edit the displayed message here
local getMessage = function(level)
	return string.format("|cffffff00%s leveled to %d on %s|r", UnitName("player") or "Player", level, date("%m/%d/%y %H:%M"))
end

-- Creates the frame and message fontstring
local frame = CreateFrame"Frame"
local message = UIParent:CreateFontString(nil, "OVERLAY")

-- You can edit the position of the message here
message:SetPoint("CENTER", nil, "CENTER")

-- Justification here
message:SetJustifyH("CENTER")
message:SetJustifyV("MIDDLE")

-- And font here
message:SetFont("Fonts\\FRIZQT__.ttf", 32, "THICKOUTLINE")

message:Hide()

-- OnUpdate handler
--local GetTime = GetTime
local timer = 0
local OnUpdate = function(self, elasped)
	timer = timer + elasped
	-- If we have been waiting for one minute
	if timer > 1 then
		-- Take a screenshot and stop updating
		frame:Hide()
		timer = 0
		TakeScreenshot()
	end
end

-- OnEvent handler
local OnEvent = function(self, event, level)
	if event == "PLAYER_LEVEL_UP" and level >= minlevel then
		-- Display message
		message:SetText(getMessage(level))
		message:Show()
		-- Displayed /played data on the chat frame
		RequestTimePlayed()
		-- Set up the screenshot handler for next update
		frame:Show()
	else -- if event == "SCREENSHOT_SUCCEEDED" or event == "SCREENSHOT_FAILED" then
		message:Hide()
	end
end

-- Sets up the frame
frame:SetScript("OnEvent", OnEvent)
frame:SetScript("OnUpdate", OnUpdate)
frame:RegisterEvent"PLAYER_LEVEL_UP"
frame:RegisterEvent"SCREENSHOT_SUCCEEDED"
frame:RegisterEvent"SCREENSHOT_FAILED"
frame:Hide()